commit:     2da6abb6a19bde562b0a4cae2fbe7b5465c37b91
Author:     Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 21 20:51:12 2023 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Thu Dec 21 21:03:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2da6abb6

net-dns/pdns: add 4.8.4

Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>

 net-dns/pdns/Manifest          |   1 +
 net-dns/pdns/pdns-4.8.4.ebuild | 165 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+)

diff --git a/net-dns/pdns/Manifest b/net-dns/pdns/Manifest
index 76b554511730..2be9c75cb26c 100644
--- a/net-dns/pdns/Manifest
+++ b/net-dns/pdns/Manifest
@@ -1,3 +1,4 @@
 DIST pdns-4.8.1.tar.bz2 1345713 BLAKE2B 
4f56d67058b17f6b25b28896d1b25554ae84ddd5765b01292b2592d5dbc5746bbc57a1790122e318da4d57c5eb342d0d2df092d8af0fcb977d9dc8d172c6e176
 SHA512 
56b2995e90db179c89708bafbe8494dd885102c5f40772f7d48f4c5aea4ed6f0bb900c970f62f90f606ab0db995c512de1e6a5af6b546cd4fbbd232085b0e07c
 DIST pdns-4.8.2.tar.bz2 1372214 BLAKE2B 
af9339ae3baf33b640b8a7f7a467226190d0242708299e1b9566921efa6a5b558b06f54c195e48749a46665e83865f5ecf8a0f9e9f9c5ba2fefda2eb4723b6fb
 SHA512 
6c59c709e0e19b3b076ae223372d1aded59d1f11787b4933d4c513def9ef7197d9da471769bb47eba1637aa2da9a4e2d266384e43c916a5f7f3e2f7136179c89
 DIST pdns-4.8.3.tar.bz2 1336985 BLAKE2B 
3de58d5e79ce5b13460d0b989c89d2d1740269ddac0c49289726d29edc183d0efeaf264424312a97fb3888086f4a271995b29dd95f8c969f7dd44965a2b47740
 SHA512 
a67a349a0484521e889c97ffdc2b2aa61a95507e3a05a7289127efcb75b43cfb4de3e14f3bf1cc73db9e487d2a8469c301b9f22d45758a4507fe65cef4600381
+DIST pdns-4.8.4.tar.bz2 1334756 BLAKE2B 
b92a35ee3e76806bd24bd030428e74afae19a46333d2a444e2bb822300049f3be5afa260cbdadd435f45ba1cf160481c8ccd0bd386eeb4d2679498d650fb7bf7
 SHA512 
1e8ec7e5ba0c8d87d273eab866890d0fa999825f2ca50127c4337a627fb1aabc6a957608fc9e60b53d5fde8b76530dc08bda4463e62e642d9b1f74f6e097c774

diff --git a/net-dns/pdns/pdns-4.8.4.ebuild b/net-dns/pdns/pdns-4.8.4.ebuild
new file mode 100644
index 000000000000..54510e17d698
--- /dev/null
+++ b/net-dns/pdns/pdns-4.8.4.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit flag-o-matic lua-single python-any-r1
+
+DESCRIPTION="The PowerDNS Daemon"
+HOMEPAGE="https://www.powerdns.com/";
+SRC_URI="https://downloads.powerdns.com/releases/${P/_/-}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug doc geoip ldap lmdb lua-records mysql odbc postgres remote sodium 
sqlite systemd tools tinydns test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+DEPEND="${LUA_DEPS}
+       dev-libs/openssl:=
+       dev-libs/boost:=
+       lmdb? ( >=dev-db/lmdb-0.9.29 )
+       lua-records? ( >=net-misc/curl-7.21.3 )
+       mysql? ( dev-db/mysql-connector-c:= )
+       postgres? ( dev-db/postgresql:= )
+       ldap? ( >=net-nds/openldap-2.0.27-r4:= app-crypt/mit-krb5 )
+       odbc? ( dev-db/unixODBC )
+       sqlite? ( dev-db/sqlite:3 )
+       geoip? ( >=dev-cpp/yaml-cpp-0.5.1:= dev-libs/geoip )
+       sodium? ( dev-libs/libsodium:= )
+       tinydns? ( >=dev-db/tinycdb-0.77 )
+       elibc_glibc? ( x86? ( >=sys-libs/glibc-2.34 ) )"
+RDEPEND="${DEPEND}
+       acct-user/pdns
+       acct-group/pdns"
+
+BDEPEND="${PYTHON_DEPS}
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen[dot] )"
+
+S="${WORKDIR}"/${P/_/-}
+
+pkg_setup() {
+       lua-single_pkg_setup
+       python-any-r1_pkg_setup
+       append-lfs-flags
+       append-cppflags -D_TIME_BITS=64
+}
+
+src_configure() {
+       local cnf_dynmodules="bind lua2 pipe" # the default backends, always 
enabled
+
+       use geoip && cnf_dynmodules+=" geoip"
+       use ldap && cnf_dynmodules+=" ldap"
+       use lmdb && cnf_dynmodules+=" lmdb"
+       use mysql && cnf_dynmodules+=" gmysql"
+       use odbc && cnf_dynmodules+=" godbc"
+       use postgres && cnf_dynmodules+=" gpgsql"
+       use remote && cnf_dynmodules+=" remote"
+       use sqlite && cnf_dynmodules+=" gsqlite3"
+       use tinydns && cnf_dynmodules+=" tinydns"
+
+       econf \
+               --disable-static \
+               --sysconfdir=/etc/powerdns \
+               --libdir=/usr/$(get_libdir)/powerdns \
+               --with-service-user=pdns \
+               --with-service-group=pdns \
+               --with-modules= \
+               --with-dynmodules="${cnf_dynmodules}" \
+               --with-mysql-lib=/usr/$(get_libdir) \
+               --with-lua="${ELUA}" \
+               $(use_enable debug verbose-logging) \
+               $(use_enable lua-records) \
+               $(use_enable test unit-tests) \
+               $(use_enable tools) \
+               $(use_enable systemd) \
+               $(use_with sodium libsodium) \
+               ${myconf}
+}
+
+src_compile() {
+       default
+       use doc && emake -C codedocs codedocs
+}
+
+src_install() {
+       default
+
+       mv "${D}"/etc/powerdns/pdns.conf{-dist,}
+
+       fperms 0700 /etc/powerdns
+       fperms 0600 /etc/powerdns/pdns.conf
+
+       # set defaults: setuid=pdns, setgid=pdns
+       sed -i \
+               -e 's/^# set\([ug]\)id=$/set\1id=pdns/g' \
+               "${D}"/etc/powerdns/pdns.conf
+
+       newinitd "${FILESDIR}"/pdns-r1 pdns
+
+       keepdir /var/empty
+
+       if use doc; then
+               docinto html
+               dodoc -r codedocs/html/.
+       fi
+
+       # Install development headers
+       insinto /usr/include/pdns
+       doins pdns/*.hh
+       insinto /usr/include/pdns/backends/gsql
+       doins pdns/backends/gsql/*.hh
+
+       if use ldap ; then
+               insinto /etc/openldap/schema
+               doins "${FILESDIR}"/dnsdomain2.schema
+       fi
+
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "PowerDNS provides multiple instances support. You can create more 
instances"
+       elog "by symlinking the pdns init script to another name."
+       elog
+       elog "The name must be in the format pdns.<suffix> and PowerDNS will 
use the"
+       elog "/etc/powerdns/pdns-<suffix>.conf configuration file instead of 
the default."
+
+       local old
+       for old in ${REPLACING_VERSIONS}; do
+               ver_test ${old} -lt 3.2 || continue
+
+               echo
+               ewarn "To fix a security bug (bug #458018) had the following"
+               ewarn "files/directories the world-readable bit removed (if 
set):"
+               ewarn "  ${EPREFIX}/etc/powerdns"
+               ewarn "  ${EPREFIX}/etc/powerdns/pdns.conf"
+               ewarn "Check if this is correct for your setup"
+               ewarn "This is a one-time change and will not happen on 
subsequent updates."
+               chmod o-rwx "${EPREFIX}"/etc/powerdns/{,pdns.conf}
+
+               break
+       done
+
+       if use postgres; then
+               for old in ${REPLACING_VERSIONS}; do
+                       ver_test ${old} -lt 4.1.11-r1 || continue
+
+                       echo
+                       ewarn "PowerDNS 4.1.11 contains a security fix for the 
PostgreSQL backend."
+                       ewarn "This security fix needs to be applied manually 
to the database schema."
+                       ewarn "Please refer to the official security advisory 
for more information:"
+                       ewarn
+                       ewarn "  
https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-06.html";
+
+                       break
+               done
+       fi
+}

Reply via email to